<?php

declare(strict_types=1);

namespace Drupal\ui_patterns_views\Plugin\UiPatterns\Source;

use Drupal\Core\Plugin\Context\ContextDefinition;

/**
 * Plugin base source to handle the view group title.
 *
 * @Source(
 *   id = "view_group_title",
 *   label = @Translation("View group title"),
 *   description = @Translation("Views group title"),
 *   prop_types = {
 *     "string",
 *     "slot"
 *   },
 * )
 */
class ViewGroupTitleSource extends ViewsStyleSourceBase {

  /**
   * {@inheritdoc}
   */
  public function getContextDefinitions() {
    $context_definition = parent::getContextDefinitions();
    // Context for views group title.
    $group_title_context = new ContextDefinition('boolean');
    $group_title_context
      ->setRequired()
      ->addConstraint('AllowedValues', [TRUE]);
    $context_definition['group_title'] = $group_title_context;
    return $context_definition;
  }

}
